package	jp.co.sds_corp.transfer;

import java.util.EventObject;

/**
* データが受信されたことを示すイベントです。
*/
public class ReceiveEvent extends EventObject
{
	private static final long serialVersionUID = 1L;
	private IData	data;

	/**
	* ReceiveEventを生成します。
	* @param	source		イベントの発生元
	* @param	data		受信したデータ
	*/
	public ReceiveEvent( Object source, IData data )
	{
		super( source );
		this.data = data;
	}

	/**
	* 受信したデータを返します。
	* @return	受信したデータ
	*/
	public IData getData() {
		return data;
	}

	/**
	* このイベントの文字列表現を返します。
	* @return	このイベントの文字列表現
	*/
	public String toString() {
		String	ret;
		ret = super.toString();
		ret += " data:" + data;
		return ret;
	}
}
