package	jp.co.sds_corp.transfer.filter;

import jp.co.sds_corp.transfer.ReceiveEvent;
import jp.co.sds_corp.util.daemon.IService;

/**
* データのフィルタリングを行なうクラスのためのインターフェースです。
*/
public interface IFilter extends IService
{
	/**
	* データのフィルタリングを行なう
	* @param	e		データ受信イベント
	*/
	public boolean isValid( ReceiveEvent e ) throws Exception;

	/**
	* データがフィルタリングの対象であるかチェックする。
	* @param	e		データ受信イベント
	*/
	public boolean isTarget( ReceiveEvent e ) throws Exception;

	/**
	* ログ出力
	* @param	msg		メッセージ
	* @param	e		データ受信イベント
	*/
	public void putLog( String msg, ReceiveEvent e );
}
