package	jp.co.sds_corp.transfer.filter;

import java.util.List;

import jp.co.sds_corp.transfer.ReceiveEvent;

/**
* フィルタを設定するオブジェクトのためのインターフェースです。
*/
public interface IFilterable
{
	/**
	* データのフィルタを設定します。
	* @param	var		設定するフィルタ
	*/
	public void addFilter( IFilter var );

	/**
	* データのフィルタを削除します。
	* @param	var		削除するフィルタ
	*/
	public void removeFilter( IFilter var );

	/**
	* データのフィルタを取得します。
	* @return	設定されているフィルタの格納されている{@link List}
	*/
	public List<IFilter> getFilterList();

	/**
	* データのフィルタリングを行なう
	* @param	e		データ受信イベント
	*/
	public boolean isValid( ReceiveEvent e ) throws Exception;
}
